Draft Trimex/cs: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 20: Line 20:
Tento nástroj zakracuje a prodlužuje přímky a lomené čáry a vysunuje plochy.
Tento nástroj zakracuje a prodlužuje přímky a lomené čáry a vysunuje plochy.
</div>
</div>

The Trimex tool also extrudes faces created from closed wires. In this respect, it's similar to [[Image:Part_Extrude.svg|24px]] [[Part Extrude|Part Extrude]] and to [[Image:PartDesign_Pad.svg|24px]] [[PartDesign Pad|PartDesign Pad]].


[[Image:Draft trimex example.jpg|400px]]
[[Image:Draft trimex example.jpg|400px]]
{{Caption|Wire segment extended, then wire segment trimmed; face extruded into a solid body}}
{{Caption|Top: a Draft Wire extended and then trimmed. Bottom: a face extruded into a solid body.}}


==Trim or extend==
<div class="mw-translate-fuzzy">

==Použití==
===Usage===
</div>


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 36: Line 34:
</div>
</div>


===Options===
Trimming or extending is decided from the position of the pointer.
* If the line is short it can be extended to approach and cross another line.
* If the line is long and crosses another line, the excess length can be trimmed.
* If the pointer is moved over another object or edge, the trim-extend operation will snap to that object, so that the trimmed or extended line ends exactly at the intersection with the object. This snapping works even without [[Draft Snap|Draft Snap]] modes active.


The modifier keys mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].
A [[Draft Wire|Draft Wire]] allows you to trim or extend any of its individual segments, which may affect the entire shape of the wire. In this case, the Trimex tool will work on the line segment that is closer to the pointer. Hold the {{KEY|Shift}} key to keep trimming or extending the current segment independently of the position of the pointer.


* The solution with the largest length determines the default direction of the command. Hold {{KEY|Alt}} to invert this direction.
When the selected object is a face, the Trimex tool switches to {{Emphasis|extrude}} mode. In extrude mode the extrusion is done in the direction of the normal of the face. For example, if a rectangle lies on the XY plane, it should be extruded in the Z direction. To do this correctly, pressing the {{KEY|Z}} key may be necessary to constrain the distance to the Z direction. Alternatively, hold the {{KEY|Shift}} key to extrude in any direction that is not the normal.
* Hold {{KEY|Shift}} to restrict the operation to the current segment of a [[Draft_Wire|Draft Wire]].


Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All [[Draft_Snap|Draft Snaps]] were turned off.
==Volby==

[[Image:Draft_Trimex_example2.png]]


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 54: Line 52:
* pokud je vybraným objektem plocha nebo je vybrána plocha z existujícího objektu, nástroj Trimex se přepne do vysunovacího módu. Stisknutí klávesy {{KEY|SHIFT}} ve vysunovacím módu uvolní vysunutí z kolmice plochy a umožní zachycení k čemukoliv.
* pokud je vybraným objektem plocha nebo je vybrána plocha z existujícího objektu, nástroj Trimex se přepne do vysunovacího módu. Stisknutí klávesy {{KEY|SHIFT}} ve vysunovacím módu uvolní vysunutí z kolmice plochy a umožní zachycení k čemukoliv.
</div>
</div>

==Extrude==

===Usage===

See also: [[Draft_Snap|Draft Snap]] and [[Draft_Constrain|Draft Constrain]].

# It can be helpful to first change the [[Draft_SelectPlane|Draft working plane]] so that it is not coplanar with the face you want to extrude.
# Optionally select a single face or an object with a single face.
# There are several ways to invoke the command:
#* Press the {{Button|[[Image:Draft_Trimex.svg|16px]] [[Draft_Trimex|Draft Trimex]]}} button.
#* Select the {{MenuCommand|Modification → [[Image:Draft_Trimex.svg|16px]] Trimex}} option from the menu.
#* Use the keyboard shortcut: {{KEY|T}} then {{KEY|R}}.
# If you have not yet selected an object or a face: select an object with a single face in the [[3D_view|3D view]].
# The {{MenuCommand|Trimex}} task panel opens. See [[#Options_2|Options]] for more information.
# To define the extrusion direction and distance do one of the following:
#* Pick a point in the [[3D_view|3D view]] that does no lie on the same plane as the face.
#* Make sure the pointer is on the correct side of the face in the [[3D_view|3D view]] and enter a {{MenuCommand|Distance}}.

===Options===

The modifier key mentioned here can be changed. See [[Draft_Preferences|Draft Preferences]].

* Hold {{KEY|Shift}} to extrude in a direction that is not parallel to the normal of the face.

==Preferences==

See also: [[Preferences_Editor|Preferences Editor]] and [[Draft_Preferences|Draft Preferences]].

* To change the number of decimals used for the input of the distance: {{MenuCommand|Edit → Preferences... → General → Units → Units settings → Number of decimals}}.


==Scripting==
==Scripting==
Line 64: Line 92:
Není dostupné. Podívejte se na nástroj [[Part Extrude/cs|Díl vysunutí]].
Není dostupné. Podívejte se na nástroj [[Part Extrude/cs|Díl vysunutí]].
</div>
</div>

{{Code|code=
extrusion = extrude(obj, vector, solid=False)
}}

* {{incode|obj}} is the object to be extruded.
* {{incode|vector}} is the extrusion direction and distance.
* If {{incode|solid}} is {{incode|True}} a solid is created instead of a shell.
* {{incode|extrusion}} is returned with the created object.

Example:

{{Code|code=
import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()
}}





Revision as of 08:10, 16 June 2021

This documentation is a work in progress. Please don't mark it as translatable since it will change in the next hours and days.

Kreslení Zakrácení/Prodloužení

Umístění Menu
Kreslení → Zakrácení/Prodloužení
Pracovní stoly
Kreslení, Architektura
Výchozí zástupce
T R
Představen ve verzi
-
Viz také
DílVysunutí

Popis

Tento nástroj zakracuje a prodlužuje přímky a lomené čáry a vysunuje plochy.

Top: a Draft Wire extended and then trimmed. Bottom: a face extruded into a solid body.

Trim or extend

Usage

  1. Vyberte drát, který chcete zakrátit nebo prodloužit nebo vyberte plochu, kterou chcete vysunout
  2. Stiskněte tlačítko Kreslení Zakrácení/Prodloužení nebo stiskněte klávesy T a potom R
  3. Klikněte na bod ve 3D pohledu

Options

The modifier keys mentioned here can be changed. See Draft Preferences.

  • The solution with the largest length determines the default direction of the command. Hold Alt to invert this direction.
  • Hold Shift to restrict the operation to the current segment of a Draft Wire.

Here is an example to explain the modifier keys. The left edge or the bottom edge of the U-shaped wire was extended. All Draft Snaps were turned off.

  • zakracování nebo prodlužování je řízeno automaticky podle pozice myši
  • když posunete kurzor přes další objekt, operace zakrátit/prodloužit zachytí tento objekt nebo segment
  • stisknutí klávesy SHIFT vytvoří vazbu k segmentu, který je aktuálně zakracován nebo prodlužován
  • stisknutí klávesy ALT změní směr zakracování
  • pokud je vybraným objektem plocha nebo je vybrána plocha z existujícího objektu, nástroj Trimex se přepne do vysunovacího módu. Stisknutí klávesy SHIFT ve vysunovacím módu uvolní vysunutí z kolmice plochy a umožní zachycení k čemukoliv.

Extrude

Usage

See also: Draft Snap and Draft Constrain.

  1. It can be helpful to first change the Draft working plane so that it is not coplanar with the face you want to extrude.
  2. Optionally select a single face or an object with a single face.
  3. There are several ways to invoke the command:
    • Press the Draft Trimex button.
    • Select the Modification → Trimex option from the menu.
    • Use the keyboard shortcut: T then R.
  4. If you have not yet selected an object or a face: select an object with a single face in the 3D view.
  5. The Trimex task panel opens. See Options for more information.
  6. To define the extrusion direction and distance do one of the following:
    • Pick a point in the 3D view that does no lie on the same plane as the face.
    • Make sure the pointer is on the correct side of the face in the 3D view and enter a Distance.

Options

The modifier key mentioned here can be changed. See Draft Preferences.

  • Hold Shift to extrude in a direction that is not parallel to the normal of the face.

Preferences

See also: Preferences Editor and Draft Preferences.

  • To change the number of decimals used for the input of the distance: Edit → Preferences... → General → Units → Units settings → Number of decimals.

Scripting

Skriptování

Není dostupné. Podívejte se na nástroj Díl vysunutí.

extrusion = extrude(obj, vector, solid=False)
  • obj is the object to be extruded.
  • vector is the extrusion direction and distance.
  • If solid is True a solid is created instead of a shell.
  • extrusion is returned with the created object.

Example:

import FreeCAD as App
import Draft

doc = App.newDocument()

rectangle = Draft.make_rectangle(1500, 500)
doc.recompute()

vector = App.Vector(0, 0, 300)
solid = Draft.extrude(rectangle, vector, solid=True)
doc.recompute()